package com.template.services;

import com.template.model.pojo.AlumniCategory;
import com.template.model.pojo.AlumniClub;
import com.baomidou.mybatisplus.extension.service.IService;
import com.template.model.pojo.AlumniUser;
import com.template.model.result.PageUtils;
import com.template.model.vo.ClubExcelVo;
import com.template.model.vo.OtherClubVo;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author ceshi
 * @since 2024-11-20
 */
public interface AlumniClubService extends IService<AlumniClub> {
    int insertAlumniClub(AlumniClub au);

    int updateAlumniClub(AlumniClub au);

    AlumniClub queryDataById(Integer id);

    int deleteDataById(Integer id);

    PageUtils<AlumniClub> queryPageList(int currentPage, int pageCount, String name, String userName, String startTime, String endTime, Integer categoryId);

    List<ClubExcelVo> queryDataList(String name, String userName, String startTime, String endTime, Integer categoryId);

    List<AlumniClub> findTopClubs();

    List<OtherClubVo> CategoryCountDatas();

    PageUtils<AlumniClub> queryPageByCategory(int currentPage, int pageCount, int categoryId, String keyword);
}
